package com.zkqy.system.service;

import com.zkqy.system.entity.CommonEntity;
import com.zkqy.system.entity.DragTableCondition;

import java.util.List;

/**
 * 动态表格条件Service接口
 * 
 * @author zkqy
 * @date 2023-07-31
 */
public interface IDragTableConditionService 
{

    /**
     * 查询动态表格条件列表
     */
    List<CommonEntity> selectDragTableConditionList(CommonEntity commonEntity);

    /**
     * 新增动态表格条件
     */
    int insertDragTableCondition(CommonEntity commonEntity);

    /**
     * 修改动态表格条件
     */
    int updateDragTableCondition(CommonEntity commonEntity);

    /**
     * 批量删除动态表格条件
     */
    int deleteDragTableConditionByTcIds(CommonEntity commonEntity);

}
